#include "mainwidget.h"
#include "ui_mainwidget.h"

MainWidget::MainWidget(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::MainWidget),
    exitOnLostFocus(false)
{
    ui->setupUi(this);
    setWindowFlags( Qt::CustomizeWindowHint );
}

MainWidget::~MainWidget()
{
    delete ui;
}

void MainWidget::setExitOnLostFocus(bool exit)
{
    exitOnLostFocus = exit;
}

bool MainWidget::event(QEvent *e)
{
    if (e->type() == QEvent::WindowDeactivate && exitOnLostFocus)
        qApp->exit();
    return QWidget::event(e);
}

void MainWidget::keyReleaseEvent(QKeyEvent *e)
{
    if (e->key() == Qt::Key_Escape)
        qApp->exit();
}
